import { fillWithPref } from '../../utils'

export const MAP_PROP_CS = fillWithPref({
  playerContainer: 'container',
  playPauseButton: 'playpause',
  speedButton: 'speed',
  progressbarWrapper: 'bar-wrapper',
  progressBar: 'progress',
  loadingProgressBar: 'loading-progress',
  timeCurrentCountDown: 'time',
  advertiserLogo: 'advertiser-logo',
  advertiserName: 'advertiser-name',
  advertiserLink: 'advertiser-link',
  advertiserTitle: 'advertiser-title',
  title: 'title',
  adsNote: 'ads-note',
  advertiserNote: 'advertiser-note',
})

export const MAP_PROPS_CS = fillWithPref({
  advertiserLink: 'advertiser-link',
})

export const UI_CONTROLS = [...Object.keys(MAP_PROP_CS), ...Object.keys(MAP_PROPS_CS)]
