import { fillWithPref } from '../../utils'

export const MAP_PROP_CS = fillWithPref({
  playPauseButton: 'playpause',
  progressbarWrapper: 'bar-wrapper',
  progressBar: 'progress',
  timeCurrent: 'time',
  fullTime: 'full-time',
  loadingProgressBar: 'loading-progress',
  title: 'title',
  advertiserLogo: 'advertiser-logo',
  advertiserName: 'advertiser-name',
  adsTitle: 'ads-title',
  playListBox: 'playlist-box',
})

export const MAP_PROPS_CS = fillWithPref({
  playlistPlayPauseButtons: 'playlist-play',
  playlistItems: 'playlist-item',
  advertiserLink: 'advertiser-link',
})

export const UI_CONTROLS = [...Object.keys(MAP_PROP_CS), ...Object.keys(MAP_PROPS_CS)]

export const VISIBLE_ITEMS = 4
