const IFRAME_ATTRS = {
  style:
    "margin:0!important;border:none!important;min-width:280px;width:100%;height:75px;",
  mobileStyle:
    "margin:0!important;border:none!important;min-width:280px;width:100%;height:150px;",
  onload: `
    var body = this.contentDocument && this.contentDocument.querySelector('body');
    var height = body ? body.getBoundingClientRect().height : 75;

    this.style.height = height+'px';
  `,
}

const MINIMAL_STYLE_IFRAME_ATTRS = {
  style:
    "margin:0!important;border:none!important;min-width:280px;width:100%;height:43px;",
  mobileStyle:
    "margin:0!important;border:none!important;min-width:280px;width:100%;height:43px;",
  onload: `
    var body = this.contentDocument && this.contentDocument.querySelector('body');
    var height = body ? body.getBoundingClientRect().height : 43;

    this.style.height = height+'px';
  `
}

const PLAYLIST_STYLE_IFRAME_ATTRS = {
  style:
    "margin:0!important;border:none!important;min-width:100%;width:10px;",
  mobileStyle:
    "margin:0!important;border:none!important;min-width:100%;width:10px;",
  onload: `
    var body = this.contentDocument && this.contentDocument.querySelector('body');
    var height = body ? body.getBoundingClientRect().height : 414;

    this.style.height = height+'px';
  `,
}

const SPECIAL_ATTRS = {
  "nettavisen.no": {
    isMobileVersion: true,
    style:
      "margin:0!important;border:none!important;min-width:280px;width:375px;height:150px;",
    mobileStyle:
      "margin:0!important;border:none!important;min-width:280px;width:100%;height:150px;",
    minimalStyle:
      "margin:0!important;border:none!important;min-width:280px;width:375px;height:45px;",
  }
}

const FORBES_ATTRS = {
  style:
  "margin:24px auto 0;border:none;min-width:280px;width:100%;height:43px;",
mobileStyle:
  "margin:24px auto 0;border:none;min-width:280px;width:100%;height:43px;",
onload: `
  var body = this.contentDocument && this.contentDocument.querySelector('body');
  var height = body ? body.getBoundingClientRect().height : 43;

  this.style.height = height+'px';
`
}

export { IFRAME_ATTRS, SPECIAL_ATTRS, FORBES_ATTRS, MINIMAL_STYLE_IFRAME_ATTRS, PLAYLIST_STYLE_IFRAME_ATTRS }
