import './styles/shared.scss'

export default options => new Promise((resolve, reject) => {
  // Rudementary replacement of all embedded players with type MinimalPlayer #SK-398
  const playerType = (options.player==="EmbeddedPlayer") ? "MinimalPlayer" : options.player
  
  import(`./${playerType}`).then(player =>
    resolve(new player.default(options))
  ).catch(e => {
    console.error(e)
    reject(() => {})
  })
})
