import { LANGUAGES_MAP, DEFAULT_LANG } from '../locales/player'

const defineLanguage = lang => {
  if (!lang) return DEFAULT_LANG

  lang = lang.split('_')[0]

  if (LANGUAGES_MAP[lang]) return lang

  return DEFAULT_LANG
}

export default defineLanguage
