import { get } from 'lodash'

import defineLanguage from './Language'
import { TRANSLATIONS, DEFAULT_LANG } from '../locales/player'

const translate = (language, message) => {
  const lang = defineLanguage(language)

  return get(TRANSLATIONS, [message, lang], get(TRANSLATIONS, [message, DEFAULT_LANG], ''))
}

export default translate
