const setHTML = (el, content) => {
  if (el) {
    el.innerHTML = content
  }
}

const addClassName = (el, className, condition = true) => {
  if (el && condition && !el.classList.contains(className)) {
    el.classList.add(className)
  }
}

const removeClassName = (el, className) => {
  if (el && el.classList.contains(className)) {
    el.classList.remove(className)
  }
}

export {
  setHTML,
  addClassName,
  removeClassName,
}
